package com.vendor.burn.preferences;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.preferences.FastbootPreferences;

public class CONFIG {
  public static String getServerIP() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.serverip");
  }
  
  public static String getSerial() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.serial");
  }
  
  public static String getClientIP() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.client.ip");
  }
  
  public static String getClientNetmask() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.client.netmask");
  }
  
  public static String getSerialServerIP() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.serial.ip");
  }
  
  public static String getClientGateway() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.client.gateway");
  }
  
  public static String getClientMac() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.client.mac");
  }
  
  public static String getClientWholeConfig() {
    return FastbootPreferences.getPreferenceStore()
      .getString("vendor.burn.config.client.wholeConfig");
  }
  
  public static String getImageFillConfig() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.imageFill");
  }
  
  public static String getNetEthactConfig() {
    return FastbootPreferences.getPreferenceStore().getString("vendor.burn.config.ethact");
  }
  
  public static void setServerIP(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.serverip", (value != null) ? value : "");
  }
  
  public static void setSerial(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.serial", (value != null) ? value : "");
  }
  
  public static void setClientIP(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.client.ip", (value != null) ? value : "");
  }
  
  public static void setClientNetmask(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.client.netmask", (value != null) ? value : "");
  }
  
  public static void setSerialServerIP(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.serial.ip", (value != null) ? value : "");
  }
  
  public static void setClientGateway(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.client.gateway", (value != null) ? value : "");
  }
  
  public static void setClientMac(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.client.mac", (value != null) ? value : "");
  }
  
  public static void setClientWholeConfig(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.client.wholeConfig", (value != null) ? value : "");
  }
  
  public static void setImageFillConfig(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.imageFill", (value != null) ? value : "");
  }
  
  public static void setNetEthactConfig(String value) {
    FastbootPreferences.getPreferenceStore().setValue("vendor.burn.config.ethact", (value != null) ? value : "");
  }
}
